Ext.Date.dayNames = [
    "รร’ยทร”ยตรรฌ",
    "กร‘ยนยทรรฌ",
    'วันอังคาร',
    'วันพุธ',
    'วันพฤหัสบดี',
    'วันศุกร์',
    'เสาร์'             
];

Ext.Date.monthNames = [
    'มกราคม',
    'กุมภาพันธ์',
    'มีนาคม',
    'เมษายน',
    'พฤษภาคม',
    'มิถุนายน',
    'กรกฎาคม',
    'สิงหาคม',
    'กันยายน',
    'ตุลาคม',
    'พฤศจิกายน',
    'ธันวาคม'
];

Ext.Date.monthNumbers = {
      "รโฌ": 0,
      "ยกลธ": 1,
      "รร•โฌ": 2,
      "ร รร": 3,
      "ลธโฌ": 4,
      "รร”ร": 5,
      "ยกโฌ": 6,
      "รโฌ": 7,
      "ยกร": 8,
      "ยตโฌ": 9,
      "ลธร": 10,
      "ลพโฌ": 11
  };

Ext.Date.getShortMonthName = function(month) {
    return Ext.Date.monthNames[month].substring(0, 3);
};

Ext.Date.getShortDayName = function(day) {
    return Ext.Date.dayNames[day].substring(0, 3);
};

Ext.Date.getMonthNumber = function(name) {
  return Ext.Date.monthNumbers[name.substring(0, 1).toUpperCase() + name.substring(1, 3).toLowerCase()];
};

Ext.Date.parseCodes.S.s = '(?:st|nd|rd|th)';

if (Ext.picker.Picker){
    Ext.override(Ext.picker.Picker, {
        doneText: 'ทำเสร็จแล้ว'    
    });
}

if (Ext.picker.Date) {
    Ext.override(Ext.picker.Date, {
        'dayText': 'วัน',
        'monthText': 'เดือน',
        'yearText': 'ปี',
        'slotOrder': ['month', 'day', 'year']    
    });
}

if(Ext.IndexBar){
    Ext.override(Ext.IndexBar, {
        'letters': ['A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z']    
    });
}

if(Ext.NestedList){
    Ext.override(Ext.NestedList, {
        'backText': 'กลับ',
        'loadingText': 'ยกร“ร…ร‘ยงรขรร…ลฝ..."',
        'emptyText': 'ไม่มีรายการที่มีอยู่'
    });
}

if(Ext.util.Format){
    Ext.util.Format.defaultDateFormat = 'm/d/Y';
}

if(Ext.MessageBox){
    Ext.MessageBox.OK.text = 'ยตยกร…ยง';
    Ext.MessageBox.CANCEL.text = 'รยกร ร…ร”ยก"';
    Ext.MessageBox.YES.text = 'รฃยชรจ';
    Ext.MessageBox.NO.text = 'รครรจรฃยชรจ"';
}
